# Python
# Programming in context
# 07.10.18 - sv
# Exercice 2.4.16

import random, math

def monteCarlo(n):
    compteur  = 0
    for k in range(n):
        x = random.random()
        y = random.random()
        distance = math.sqrt(x**2 + y**2)
        if distance <= 1:
            compteur += 1
    return compteur/n
    
pi_appr = 4 * monteCarlo(2000000)
print(pi_appr)
    