# Python
# Programming in context
# 07.10.18 - sv
# Exercice 2.4.17

import turtle, random

def axes(uneTortue, cote):
    uneTortue.up()
    uneTortue.goto(-cote, 0)
    uneTortue.down()
    uneTortue.forward(2*cote)
    uneTortue.up()
    uneTortue.goto(0, -cote)
    uneTortue.left(90)
    uneTortue.down()
    uneTortue.forward(2*cote)
    uneTortue.up()
    uneTortue.right(90)
    uneTortue.down()
    
    
def monte_carlo(uneTortue, cote, nombre_de_points):
    uneTortue.up()
    points_interieurs = 0
    j = 0
    while j < nombre_de_points:
        x = cote * random.random()
        y = cote * random.random()
        uneTortue.goto(x, y)
        distance_au_carre = x*x + y*y
        if distance_au_carre > cote**2:
            uneTortue.color('red')
        else:
            uneTortue.color('blue')
            points_interieurs = points_interieurs + 1
        uneTortue.dot()
        j = j + 1
    return (points_interieurs/nombre_de_points)*4
    
caroline = turtle.Turtle()
caroline.shape('turtle')
caroline.speed("fastest")

turtle.tracer(0,0) # Can be used to accelerate the drawing of complex graphics

axes(caroline, 200)
print("valeur approchée de pi :", monte_carlo(caroline, 200, 3500))




